
D4Science Infrastructure - Task #12527

Undeploy FARM/AquaMaps VRE

Sep 20, 2018 04:39 PM - Massimiliano Assante

Status: In Progress Start date: Oct 01, 2018

Priority: Normal Due date: Oct 22, 2018

Assignee: Lucio Lelii % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube  4.13

  

Infrastructure: Production   

Description

History

#1 - Sep 20, 2018 04:40 PM - Pasquale Pagano

- Tracker changed from Support to Task

- Category set to Default

- Target version changed from WP04 to VRE To Dismiss

#8 - Oct 18, 2018 04:37 PM - Massimiliano Assante

Not clear if we have to continue with the VRE undeploy or not

#14 - Oct 19, 2018 06:00 PM - Massimiliano Assante

- Project changed from 8 to D4Science Infrastructure

- Due date changed from Oct 01, 2018 to Oct 22, 2018

- Category deleted (Default)

- Target version changed from VRE To Dismiss to D4Science Infrastructure upgrade to gCube  4.13

The AquaMaps VRE will be underplayed next Monday, the org.gcube.application.aquamaps.aquamapsportlet.3-1-7 only is deprecated and will be

removed form the gateway and the release (4.13) The services will continue to run instead as well as the aquamapsspeciesview and

aquamaps.datamanagementfacilityportlet

#15 - Oct 22, 2018 11:25 AM - Massimiliano Assante

- Subject changed from VREs to dismiss: Aquamaps to Undeploy FARM/AquaMaps VRE

- Status changed from New to In Progress

#16 - Oct 22, 2018 11:30 AM - Massimiliano Assante

The FARM/AquaMaps VRE is not returned by the VRE Modeler service for the FARM VO, e.g. https://services.d4science.org/group/farm/vre-manager

while it is present in the monitor. 

@roberto.cirillo@isti.cnr.it what should we do in this case? Can you resume it? @lucio.lelii@isti.cnr.it any suggestion?

#17 - Oct 22, 2018 11:51 AM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Roberto Cirillo

- % Done changed from 0 to 70

The portlets below have been undeployed from the gateways and the cluster was restarted (one node at a time)

datamanagementfacilityportlet-1.7.4-4.3.0

aquamapsportlet-3.1.7-4.3.0

Also, 

the VRE Site has been removed from the Gateways and the VRE Folder FARM/AquaMaps has been unshared to all users.

the FARM/AquaMaps LDAP Group has been removed.
Whats's left:

Undeploy the VRE form the infrastructure @roberto.cirillo@isti.cnr.it

Remove the VRE Folder FARM/AquaMaps from JCR @lucio.lelii@isti.cnr.it

I'm assigning the ticket to Roberto to continue the 2 missing tasks above

#18 - Oct 22, 2018 12:32 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Fabio Sinibaldi

There are some resources deployed only in the aquamaps scope.

Can I definitively remove these resource from the infrastructure?

ServiceEndpoints:

<Category>Application</Category>

<Name>CMAR C-squares Mapper</Name>

<Category>Cloud</Category>

<Name>VENUS-C_RainyCloud</Name>

 <Category>Database</Category>

<Name>PostGIS</Name>

 Some GenericResources having the following SecondaryTYpe:

 <SecondaryType>MetadataBrokerXSLT</SecondaryType>

#19 - Oct 22, 2018 12:55 PM - Fabio Sinibaldi

We can get rid of all these resources, they are obsolete.

Just one thing, though : we should check whether the database indicated in the resource "PostGIS" (aquamapsgeomar hosted on

geoserver.d4science-ii.research-infrastructures.eu) is accessed in other VREs, otherwise I think we can drop it.

This is because the Service Endpoint doesn't declare authentication parameters, so it is either used in other VREs or not used at all. 

#20 - Oct 22, 2018 02:52 PM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from Fabio Sinibaldi to Roberto Cirillo

The postGIS resource pointing to aquamapsgeomar is present only on aquamaps VRE so I'm going to drop it and the other obsolete resources.

#21 - Oct 22, 2018 03:22 PM - Roberto Cirillo

Accordingly with @fabio.sinibaldi@isti.cnr.it I'm going to open a new ticket for checking if the postgis db used by AquaMaps VRE could be safely

dropped.

After that I'm going to remove the resource from the infrastructure.

#23 - Oct 22, 2018 03:44 PM - Roberto Cirillo

I'm trying to remove the GenericResources with SecondaryType: MetadataBrokerXSLT

but I'm not able to do that with registry-publisher because these resource have inside an unknown VO: 

/d4science.research-infrastructures.eu/ICIS/TrainingTest

I need to find another way.

#24 - Dec 13, 2018 05:48 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Lucio Lelii

- % Done changed from 70 to 80

The Aquamaps VRE has been dismissed and all the related resources cleaned. I'm going to assign this ticket to @lucio.lelii@isti.cnr.it in order to

remove the VRE Folder FARM/AquaMaps from JCR
